Subject: [TR] TR4 solid steering rack mounts

From: Bob Labuz <[email-masked]>
Date: Sun, 19 Jul 2015 10:02:37 -0400

Hello,

I am looking for opinions on solid steering rack mounts for my 63 TR4.

I posted a query on the 6-pack forum looking for advice and Goodparts 
and TSI were mentioned. I emailed Goodparts and he replied that the 6 
rack is not the same diameter as the 4, so his product would not work. 
He thinks the 4 rack has a larger diameter.

Does any TR4 owner who has the later version of the rack with the mounts 
similar to the 6 have a recommendation of which vendor can supply solid 
steering rack mounts for my 63?

Looking at all the listings on Ebay, Goodparts look the most solid but 
not available for the 4.

Thanks,

Bob

** [email-masked] **

Archive: http://www.team.net/archive